// -*- c++ -*-

//////////////////////////////////////////////////
// (c) MMIII Sven Reichard
// 


# ifndef BookTraining_h
#  define BookTraining_h

# include <XBoard/XBoardBase.h>
# include <Game/MoveText.h>
namespace Alice
{
namespace XBoard
{
class BookTraining
  : public XBoardBase
{
public:
  BookTraining( std::istream& in, std::ostream& out );
  virtual ~BookTraining();

  void readBook( std::istream& bookStream );
  void search();
  void usermove();
  void newGame();
private:
  MoveText moves;
};
};

};
# endif // BookTraining_h
